<!doctype html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="CSS/css.css">

    <title>cinema</title>
</head>
<body>

<div  class="root">

    <div class="top_bar">
        <div class="screen">

            <div id="screen_illustr">Screen</div>

            <div id="screen_layout"></div>

        </div>
        <div class="log">

            <table>
                <thead>
                <tr>
                    <th>Row</th>
                    <th>Seat</th>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Sum</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>




        </div>
    </div>

    <div class="bottom_bar" style="height: 20%; display: block;">
        <div class="wrapper">
            <div>Number of seats: <span id="number_of_seats"></span></div>
            <div>Total sum: <span id="total_sum"></span></div>
            <div>Return sum: <span
                    id="return_sum"></span></div>

        </div>
    </div>

</div>

<div id="modal-form">
    <form action=""  id="buy_form">
        <input type="text" id="name" placeholder="Type name" />
        <input type="hidden" id="place" />
        <input  type="hidden" id="row" />
        <button type="submit">Buy ticket</button>
    </form>
</div>

<script>
    document.getElementById('buy_form').addEventListener('submit',
        (event) => {
            event.preventDefault();

            const name = document.getElementById('name').value;
            const row = document.getElementById('row').value;
            const place = document.getElementById('place').value;

            buyTicket(row,place,name);
            document.getElementById('modal-form').style.display = 'none';

        }
    )


    function blinkRedColor(red){
        const elem = document.querySelector('.bottom_bar');
        elem.style.backgroundColor = red ? 'yellow' : 'blue';
        setTimeout(() => blinkRedColor(!red),500);
    }

    blinkRedColor(true);

    const intervalID = setInterval(() =>{
        console.log(new Date());
        console.log(intervalID);
    },1000);


    setTimeout(()=>{
        clearInterval(intervalID);
    },5000);




    //localStorage.setItem('name', prompt('Type you name'));
    //alert('Hello' + localStorage.getItem('name'));
    //localStorage.getItem('');
    //localStorage.removeItem('name');
    //localStorage.clear('')

    //localStorage.setItem('name', 123);
    //console.log(localStorage.getItem('name'), typeof localStorage.getItem('name'))


</script>





<script src="JS/js.js"></script>
</body>

</html>